@font-face {
  font-family: "JJ2";
  src: url("jj2_lt.otf");
}

@font-face {
  font-family: "JJ2";
  src: url("jj2_bd.otf");
  font-weight: bold;
}

body { 
    margin: 0; 
    font-family: "JJ2";
    background-color: rgb(0, 0, 0);
    /* font-family: Verdana, Geneva, Tahoma, sans-serif; */
}

#gui-container {
  position: fixed;
  top: 0px;
  left: 0;
  color: hsl(50, 69%, 82%);
  font-size: 3.5vw;
  width: 100%;
  z-index: 1000;
  /* margin-top: -2.5vw; */
  /* padding: 0 8vw; */
  /* margin-left: 15%; */
}

#project-title{
  font-family: "JJ2";
  position: fixed;
  bottom: 20px;
  left: 20px;
  font-size: 0.8em;
}

#gui-container .title {
  /* small logo */
  /* font-size: 1.8em;
  line-height: 1.1em;
  left: 0;
  padding-left: 14.5vw;
  text-shadow: 0px 0px 3px black;
  text-transform: capitalize;
  width: 40%;
  min-height: 100px;
  position: absolute;
  top: 4.5vw; */

  font-size: 1.8em;
  line-height: 1.1em;
  left: 0;
  /* padding-left: 16vw; */
  padding-left: 19vw;
  text-shadow: 0px 0px 3px black;
  text-transform: capitalize;
  width: 40%;
  min-height: 100px;
  position: absolute;
  top: 4.5vw;

}

#where-yat{
  /* small logo */
  /* height: 14vw;
  position: absolute;
  top: -3vw;
  padding-left: 1vw; */
  /* height: 10vw; */
  height: 12vw;
  position: absolute;
  top: 1vw;
  padding-left: 1vw;
}

#where-yat img{
  height:100%;
}

.fixed-welcome {
  position: fixed !important;
  
  width: 100% !important;
  height: 100% !important;
  top: calc(50% - 1em) !important;
  text-shadow: none!important;
  left: 0;
  text-align: center;
  color: black;
  margin-top: 0px !important;
  padding-left: 0px !important;
}

#label {
  color: hsl(50, 69%, 82%);
  font-size: 4vw;
  /* text-shadow: 0px 0px 5px grey; */
  width: 40vw;
  /* min-height: 50vh; */
  padding: 1vw;
  background-image: linear-gradient(to left, rgba(0,0,0,0), rgba(0,0,0,1));
  display: none;
  opacity: 0;
  transition: opacity 0.2s ease-in 1s;
  border-radius: 10px 0% 0% 10px;
  text-transform: capitalize;
}

#label.show-label{
  display: block;
  opacity: 1;
}

#gui-container .details {
  /* margin-top: 1em; */
  right: 0;
  padding-top: 1.8em;
}

.lower-case {
  /* font-size: 0.5em; */
  font-size: 0.55em;
  letter-spacing: 0.05em;
  line-height: 1.5em;
  /* font-family: Helvetica, Geneva, Tahoma, sans-serif; */
  display: block;
  text-transform: none;
}
.percentage-text{
  /* margin-top: 30px; */
  font-size: 0.3em;
  line-height: 0.8em;
  /* font-family: Helvetica, Geneva, Tahoma, sans-serif; */
  display: block;
  text-transform: none;
}
#label-title{
  /* background-image: linear-gradient(to left, rgba(0,0,0,0), rgba(0,0,0,1)); */
  box-sizing: border-box;
  /* padding:0.5vw; */
  /* display: inline-block; */
}
#label-stats {
  font-size: 0.8em;
  /* background-image: linear-gradient(to left, rgba(0,0,0,0), rgba(0,0,0,1)); */
  box-sizing: border-box;
  /* padding:0.5vw; */
  /* display: inline-block; */
}
#label-stats .lower-case{
  margin-top: 0.8em;
  letter-spacing: 0.1em;
  font-size: 0.55em;
  line-height: 1em;
  text-transform: uppercase;
  /* padding:0 0.8vw; */
}


/* 

#search-gui #gui-button {
  width: 8vh;
  height: 8vh;
  left: -11vh;
  bottom: 3vh;
}

#project-title {
  bottom: 4vh;
  left: 3vh;
  font-size: 1.1em;
}


#label {
 font-size: 3.2vw;
}
.lower-case{
  font-size: 0.6em;
  letter-spacing: 0.05em;
}
#label-stats{
  font-size: 0.85em;
}
#gui-container .title{
  font-size: 2.4em;
  padding-left: 24vw;
  top: 3.8vw;
  width: 60%;
}

#where-yat {
  height: 15vw;
  position: absolute;
  top: 1vw;
  padding-left: 1vw;
} */




#label-stats span:first-child {
  /* padding-top: 1em; */
  margin-top: 1.5em;
} 

#search-gui {
  position: fixed;
  top: 0;
  right: -180px;
  z-index: 100;
  width: 180px;
  height: 100%;
  padding: 10px;
  box-sizing: border-box;
  background-color:  hsla(51, 100%, 97%, 0.2);;
  transition: all .4s;
  padding-top: 30px;
  font-family: Helvetica, Geneva, Tahoma, sans-serif;
  color: black;
  font-size: 14px;
}

#search-gui.open {
  right: 0px;
}

/*styled dropdown */

.dropbtn {
  top: 0;
  right: -180px;
  z-index: 100;
  width: 160px;
  height: 100%;
  padding: 10px;
  box-sizing: border-box;
  background-color: hsl(0, 0%, 100%);
  transition: all .4s;
  font-family: Helvetica, Geneva, Tahoma, sans-serif;
  color: black;
  font-size: 14px;
  border: none;
  cursor: pointer;
  border-radius: 5px;
}

.dropdown {
  position: relative;
  display: inline-block;
  margin-top: 10px;
}

.dropdown-content {
  display: none;
  position: absolute;
  background-color: #e7e7e7;
  min-width: 160px;
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
  z-index: 1;
  border-radius: 5px;
}

.dropdown-content div {
  color: black;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
}
.dropdown-content div:hover {
  background-color: #f1f1f1;
  border-radius: 5px;
}

/* .dropdown:hover .dropdown-content {
  display: block;
  border-radius: 5px;
} */

.dropdown:hover .dropbtn {
  background-color: #ababab;
  border-radius: 5px;
}

.show {
  display: block;
  border-radius: 5px;}

#categories {
  border-radius: 5px;
  background-color: #ffffff;
}


#categories:hover {
}

.arrow {
  float:right; clear:right; 
  border: solid black;
  border-width: 0 3px 3px 0;
  display: inline-block;
  padding: 3px;

  /* down */
  transform: rotate(45deg);
  -webkit-transform: rotate(45deg);
}

.down {
  transform: rotate(45deg);
  -webkit-transform: rotate(45deg);
}

.up {
  transform: rotate(-135deg);
  -webkit-transform: rotate(-135deg);
  margin-top: 5px;
}




/*styled button */
#search-gui #gui-button {
  position: absolute;
  width: 50px;
  height: 50px;
  left: -70px;
  bottom: 20px;
  background-color: hsl(50, 69%, 82%);
  border: transparent;
  box-sizing: border-box;
  cursor: pointer;
  border-radius: 50%;
  background-image: url(../images/Jameson_Assets_J_Signifier_Green.svg);
  background-size: auto 80%;
  background-position: center;
  background-repeat: no-repeat;
}


.autocomplete {
  /*the container must be positioned relative:*/
  position: relative;
  display: inline-block;
  margin-top: 5px;
}

select {
  width: 100%;
  padding: 7px 0;
  margin-top: 6px;
  border: none;
  cursor: pointer;
}

input {
  border: 1px solid transparent;
  background-color: #ffffff;
  padding: 10px;
  margin: 5px 0;
  font-size: 12px;
  cursor: pointer;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
}

input[type=text] {
  background-color: #ffffff;
  width: 100%;
  box-sizing: border-box;
  border-radius: 5px;
}

input[type=submit] {
  background-color: DodgerBlue;
  color: #fff;
}

input[type=button] {
  width: 160px;
  color: #000;
  border-radius: 20px;
}

.autocomplete-items {
  position: absolute;
  border: 1px solid #d4d4d4;
  border-bottom: none;
  border-top: none;
  z-index: 99;
  /*position the autocomplete items to be the same width as the container:*/
  top: 100%;
  left: 0;
  right: 0;
}

.autocomplete-items div {
  padding: 10px;
  cursor: pointer;
  background-color: #fff;
  border-bottom: 1px solid #d4d4d4;
}

.autocomplete-items div:hover {
  /*when hovering an item:*/
  background-color: #e9e9e9;
}

.autocomplete-active {
  /*when navigating through the items using the arrow keys:*/
  background-color: DodgerBlue !important;
  color: #ffffff;
}



/* LOADING PAGE */

.hidden {
  display: none !important;
}


#loading {
  background-color: rgb(0, 0, 0);
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 99999999999;
  display: flex;
  flex-direction: column;
  justify-content: center;
  text-align: center;
  color: hsl(50, 69%, 82%);
}

#loading-anim {
  -webkit-transition: opacity .5s;
  transition: opacity .5s;
}

#load-progress {
  -webkit-transition: opacity .5s;
  transition: opacity .5s;
}

.center-anim {
  align-self: center;
}

.transition-out {
  opacity: 0;
}

.transition-in {
  opacity: 1;
}

.lds-ring {
  display: inline-block;
  position: relative;
  width: 64px;
  height: 64px;
}

.lds-ring div {
  box-sizing: border-box;
  display: block;
  position: absolute;
  width: 51px;
  height: 51px;
  margin: 6px;
  border: 6px solid hsl(50, 69%, 82%);
  border-radius: 50%;
  animation: lds-ring 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
  border-color: hsl(50, 69%, 82%) transparent transparent transparent;
}

.lds-ring div:nth-child(1) {
  animation-delay: -0.45s;
}

.lds-ring div:nth-child(2) {
  animation-delay: -0.3s;
}

.lds-ring div:nth-child(3) {
  animation-delay: -0.15s;
}

input[type=button].disabled,
input[type=text].disabled {
  pointer-events:none;
  color:#656565;
  background-color:#a6a6a6;
}


@keyframes lds-ring {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

#intro-title {
  font-size: 60px;
  color: hsl(50, 69%, 82%);
  opacity: 1;
  height:50%;
  margin-bottom:2%;
}
#intro-title img{
  height: 70%;
  width:auto;
  margin-bottom:2%;

}
#intro-title h3{
  margin:0;
  font-size:5vh;
}

@media (orientation: landscape) {
  /* #gui-container{
    font-size: 6vh;
  }
  #label{
    font-size: 7vh;
  } */

  #gui-container {
    font-size: 2vw;
  }

  #label {
    font-size: 3vw;
  }
}

@media (orientation: portrait) {
  #gui-container {
    font-size: 4vw;
  }

  #label {
    font-size: 4vw;
  }
}

@media screen and (max-width: 750px) and (orientation: landscape) {

  #search-gui #gui-button {
    width: 8vh;
    height: 8vh;
    left: -11vh;
    bottom: 3vh;
  }

  #project-title {
    bottom: 4vh;
    left: 3vh;
    font-size: 0.9em;
  }

  


}

@media screen and (min-width: 751px){
  #search-gui #gui-button:hover {
    background-color: hsla(51, 100%, 97%, 0.6);
  }
}

@media screen and (max-width: 750px) and (orientation: portrait) {
  #gui-container {
    font-size: 5vw;
  }

  #label {
    font-size: 8vw;
    /* margin-top: 10vh; */
    margin-left: -62%;
    width:80%;
    padding:1vh;
  }

  #gui-container .title{
    font-size: 1.8em;
    line-height: 1.1em;
    left: 0;
    padding-left: 5vw;
    text-shadow: 0px 0px 3px black;
    text-transform: capitalize;
    width: 90%;
    min-height: 100px;
    position: absolute;
    top: 22vw;
  }

  #where-yat {
    /* small logo */
    /* height: 28vw;
    position: absolute;
    top: -3vw;
    padding-left: 1vw; */

    height: 21vw;
    position: absolute;
    top: 1vw;
    padding-left: 3vw;
  }

  #intro-title {
    font-size: 60px;
    color: hsl(50, 69%, 82%);
    opacity: 1;
    height: 40%;
    margin-bottom: 15%;
  }
 
}